﻿@{
    ViewData["Title"] = "PPDB Pendaftaran List";
}
<section class="section">
    <div class="section-header">
        <h1>Edit Pendaftaran Siswa</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item"><a href="#">Dashboard</a></div>
            <div class="breadcrumb-item"><a href="#">Ppdb</a></div>
            <div class="breadcrumb-item active"><a href="#">Edit Pendaftaran</a></div>
        </div>
    </div>

    <div class="section-body" id="no-data">
        <div id="loading-data" style="text-align:center;">
            <div style="margin-top:150px;">
                <i class="fa fa-spinner fa-spin fa-4x"></i>
            </div>
        </div>
        <div id="empty-data" style="text-align:center;display:none;">
            <img src="~/assets/img/ilus-data.png" width="400px" class="img-fluid" />
            <div style="margin-top:-1px">
                Ups! <span id="htmlInfoError">Sepertinya tidak ada data, silahkan tambah baru</span> <br /><br />
                @*<button type="button" class="btn btn-primary btn-flat" onclick="DataEditor();"><i class="fa fa-plus"></i> Tambah Baru</button>*@
            </div>
        </div>
    </div>
    <div class="section-body" id="data" style="display:none;">
        <div class="card" id="ListData">
            <div class="card-header form-row">
                <h4 class="col-md-6">List Data</h4>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table id="TabelData" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Aksi</th>
                                <th>No. Pendaftaran</th>
                                <th>Jenjang Pendidikan</th>
                                <th>Jenis Daftar</th>
                                <th>Jalur Daftar</th>
                                <th>Kategori Daftar</th>
                                <th>Kelas</th>
                                <th>Nama Calon Siswa</th>
                                <th>Tanggal Lahir</th>
                                <th>Nama Ibu</th>
                                <th>No HP Ortu</th>
                                <th>Tanggal Daftar</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Aksi</th>
                                <th>No. Pendaftaran</th>
                                <th>Jenjang Pendidikan</th>
                                <th>Jenis Daftar</th>
                                <th>Jalur Daftar</th>
                                <th>Kategori Daftar</th>
                                <th>Kelas</th>
                                <th>Nama Calon Siswa</th>
                                <th>Tanggal Lahir</th>
                                <th>Nama Ibu</th>
                                <th>No HP Ortu</th>
                                <th>Tanggal Daftar</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>

        <div class="col-md-12" id="EditorForm" style="display:none;margin:0px auto">
            <div class="card author-box card-primary">
                <div class="card-body">
                    <div class="author-box-left">
                        <img alt="image" id="PasFoto" src="@Url.Content("/FileSiswa/abc.jpeg")" onerror="this.onerror=null;this.src='/assets/img/avatar/avatar-1.png';" class="rounded-circle author-box-picture" style="width:100px;height:100px;object-fit:cover;object-position:center">
                        <span id="htmlImageSiswa"></span>
                        <div class="clearfix"></div>
                        <a href="#" id="linkHeaderEditPasFoto" class="btn btn-primary mt-3" target="_blank"><i class="fa fa-download"></i> Download Foto</a>
                    </div>
                    <div class="author-box-details">

                        <div class="row">
                            <div class="col-md-6">
                                <div class="author-box-name">
                                    <a href="#"><span id="htmlNamaSiswa">Sedang Memuat</span></a>
                                </div>
                                <div class="author-box-job">Calon siswa/siswi disekolah attaufiq</div>
                                <div class="author-box-description">
                                    <ul>
                                        <li>Kategori : <span id="htmlKategori">Sedang Memuat</span></li>
                                        <li>Jenjang Pendidikan : <span id="htmlJenjangPendidikan">Sedang Memuat</span></li>
                                        <li>Kelas : <span id="htmlKelas">Sedang Memuat</span></li>
                                        <li>Jenis Pendaftaran : <span id="htmlJenisDaftar">Sedang Memuat</span></li>
                                    </ul>
                                </div>
                            </div>
                            <div class="col-md-6" style="text-align:center;opacity:0.5;background: url('/assets/img/bg-ilus.jpg');">
                                <img src="~/assets/img/info.svg" width="190px" class="img-fluid" />
                            </div>
                        </div>

                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-header form-row">
                    <h4 class="col-6">Editor Form</h4>
                </div>
                <div class="card-body">
                    <form id="FormEditor" class="form-horizontal" action="#" enctype="multipart/form-data">
                        <input type="hidden" id="IdPpdbDaftar" name="IdPpdbDaftar" />
                        <div class="form-row">
                            <div class="col-md-6">
                                @*<div class="form-group row">
                                        <label class="col-sm-4 col-form-label">Jenis Kategori</label>
                                        <div class="col-sm-8">
                                            <select class="form-control" name="IdJenisKategoriPendaftaran" data-input="wajib" disabled>
                                                <option value="">Select One</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <label class="col-sm-4 col-form-label">Jenjang Pendidikan</label>
                                        <div class="col-sm-8">
                                            <select class="form-control" id="IdUnit" name="IdUnit" data-input="wajib" disabled>
                                                <option value="">Select One</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <label class="col-sm-4 col-form-label">Kelas</label>
                                        <div class="col-sm-8">
                                            <select class="form-control" id="IdKelas" name="IdKelas" data-input="wajib" disabled>
                                                <option value="">Select One</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group row" id="divIdJenisPendaftaran">
                                        <label class="col-sm-4 col-form-label">Jenis Daftar</label>
                                        <div class="col-sm-8">
                                            <select class="form-control" name="IdJenisPendaftaran" data-input="wajib" disabled>
                                            </select>
                                            <small id="htmlInfoSK" style="display:none"> <a href="javascript:void(0);" onclick="ModalSaudaraKandungInfo()" style="cursor:pointer;">Lihat Saudara Saya</a></small>
                                        </div>
                                    </div>*@
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">Jalur Daftar</label>
                                    <div class="col-sm-8">
                                        <select class="form-control" id="IdJalurPendaftaran" name="IdJalurPendaftaran" data-input="wajib" required>
                                        </select>
                                        <small id="infoPrestasi" style="display:none;"><a href="javascript:void(0);" onclick="ModalPrestasis(true);" style="cursor:pointer;">Lihat Prestasi Saya</a> </small>
                                    </div>
                                </div>
                                <div id="divNisn"></div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">NIK Calon Peserta Didik</label>
                                    <div class="col-sm-8">
                                        <input id="NikSiswa" type="number" name="NikSiswa" class="form-control" placeholder="Ketik NIK Calon Peserta Didik..." data-input="wajib" required>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">Nama Calon Peserta Didik</label>
                                    <div class="col-sm-8">
                                        <input id="Nama" type="text" name="Nama" class="form-control" placeholder="Ketik Nama Calon Peserta Didik..." data-input="wajib" required>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">Nama Panggilan</label>
                                    <div class="col-sm-8">
                                        <input id="NamaPanggilan" type="text" name="NamaPanggilan" class="form-control" placeholder="Ketik Nama Panggilan..." data-input="wajib" required>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">Jenis Kelamin</label>
                                    <div class="col-sm-8">
                                        <select class="form-control" name="KdJenisKelamin" id="KdJenisKelamin" data-input="wajib" required>
                                            <option value="">Select One</option>
                                            <option value="L">Laki - Laki</option>
                                            <option value="P">Perempuan</option>
                                        </select>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">Asal Sekolah </label>
                                    <div class="col-sm-8">
                                        <input id="AsalSekolah" type="text" name="AsalSekolah" class="form-control" placeholder="Ketik Asal Sekolah...">
                                        <small>Tidak wajib diisi</small>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">Agama</label>
                                    <div class="col-sm-8">
                                        <select class="form-control" name="IdAgama" id="IdAgama" data-input="wajib" required>
                                            <option value="">Select One</option>
                                            <option value="1">Islam</option>
                                        </select>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">Tempat Lahir</label>
                                    <div class="col-sm-8">
                                        <input id="TempatLahir" type="text" name="TempatLahir" class="form-control" placeholder="Ketik Tempat Lahir..." data-input="wajib" required>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">Tanggal Lahir</label>
                                    <div class="col-sm-8">
                                        <input id="TanggalLahir" type="text" name="TanggalLahir" class="form-control" data-toggle="datepicker" placeholder="dd-mm-yyyy" data-input="wajib" required>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">Alamat Tinggal</label>
                                    <div class="col-sm-8">
                                        <input id="AlamatTinggal" type="text" name="AlamatTinggal" class="form-control" placeholder="Ketik Alamat Tinggal..." data-input="wajib" required>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">Foto Calon Peserta Didik</label>
                                    <div class="col-sm-8">
                                        <input id="FileFoto" type="file" name="FileFoto" class="form-control" onchange="ValidateFile('CalonSiswa')" data-input="wajib" required>
                                        <small>Ekstensi diperbolehkan .jpg/png</small>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">NIK Ibu</label>
                                    <div class="col-sm-8">
                                        <input id="NikIbu" type="number" name="NikIbu" class="form-control" placeholder="Ketik NIK Ibu..." data-input="wajib" required>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">Nama Ibu</label>
                                    <div class="col-sm-8">
                                        <input id="NamaIbu" type="text" name="NamaIbu" class="form-control" placeholder="Ketik Nama Ibu..." data-input="wajib" required>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">Pekerjaan Ibu</label>
                                    <div class="col-sm-8">
                                        <select class="form-control" id="IdJenisPekerjaanIbu" name="IdJenisPekerjaanIbu" data-input="wajib" required>
                                            <option>Select One</option>
                                        </select>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">Instansi Ibu</label>
                                    <div class="col-sm-8">
                                        <input id="NamaInstansiIbu" type="text" name="NamaInstansiIbu" class="form-control" placeholder="Ketik Instansi Ibu..." data-input="wajib" required>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">NIK Ayah</label>
                                    <div class="col-sm-8">
                                        <input id="NikAyah" type="number" name="NikAyah" class="form-control" placeholder="Ketik NIK Ayah..." data-input="wajib" required>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">Nama Ayah</label>
                                    <div class="col-sm-8">
                                        <input id="NamaAyah" type="text" name="NamaAyah" class="form-control" placeholder="Ketik Nama Ayah..." data-input="wajib" required>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">Pekerjaan Ayah</label>
                                    <div class="col-sm-8">
                                        <select class="form-control" id="IdJenisPekerjaanAyah" name="IdJenisPekerjaanAyah" data-input="wajib" required>
                                            <option>Select One</option>
                                        </select>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">Instansi Ayah</label>
                                    <div class="col-sm-8">
                                        <input id="NamaInstansiAyah" type="text" name="NamaInstansiAyah" class="form-control" placeholder="Ketik Instansi Ayah..." data-input="wajib" required>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">Alamat Ortu</label>
                                    <div class="col-sm-8">
                                        <input id="AlamatOrtu" type="text" name="AlamatOrtu" class="form-control" placeholder="Ketik Alamat Ortu..." data-input="wajib" required>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">No Handphone</label>
                                    <div class="col-sm-8">
                                        <input id="NoHandphoneOrtu" type="number" name="NoHandphoneOrtu" class="form-control" placeholder="Ketik No Handphone..." data-input="wajib" required>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">Alamat E-Mail</label>
                                    <div class="col-sm-8">
                                        <input id="EmailOrtu" type="email" name="EmailOrtu" class="form-control" placeholder="Ketik Alamat E-Mail..." data-input="wajib" required>
                                        <small>Pastikan email yang anda masukan benar & aktif</small>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>


                        <div class="form-group">
                            <div class="form-row">
                                <div class="col-md-6">
                                    <button type="button" onclick="Kembali();" class="btn btn-danger btn-block">
                                        <i class="fa fa-arrow-alt-circle-left"></i> Kembali
                                    </button>
                                </div>
                                <div class="col-md-6">
                                    <button type="button" onclick="DataEditRegister();" class="btn btn-success btn-block">
                                        <i class="fa fa-save"></i> Simpan Perubahan
                                    </button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>

        </div>

    </div>
</section>


<div class="modal fade" id="modalPrestasis" tabindex="-1" role="dialog" data-keyboard="false" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-body">
                <form id="FormPrestasis" class="needs-validation" novalidate>
                    @* <div class="form-row">
                        <div class="form-group col-md-4">
                            <label for="">Prestasi</label>
                            <select class="form-control" name="IdJenisPrestasi[]" id="IdJenisPrestasi0" data-input="wajib-prestasis" required>
                                <option value="">Select One</option>
                            </select>
                            <div class="invalid-feedback">
                                Kolom Wajib diisi.
                            </div>
                        </div>
                        <div class="form-group col-md-4">
                            <label for="">Tingkat Prestasi</label>
                            <select class="form-control" name="IdJenisTingkatPrestasi[]" id="IdJenisTingkatPrestasi0" data-input="wajib-prestasis" required>
                                <option value="">Select One</option>
                            </select>
                            <div class="invalid-feedback">
                                Kolom Wajib diisi.
                            </div>
                        </div>
                        <div class="form-group col-md-4">
                            <label for="">Tahun</label>
                            <select class="form-control" name="Tahun[]" id="Tahun0" data-input="wajib-prestasis" required>
                                <option value="">Select One</option>
                            </select>
                            <div class="invalid-feedback">
                                Kolom Wajib diisi.
                            </div>
                        </div>
                        <div class="form-group col-md-6">
                            <label for="">Nama Penyelenggara</label>
                            <input type="text" class="form-control" name="NamaPenyelenggara[]" placeholder="Ketik Nama Penyelenggara..." data-input="wajib-prestasis" required />
                            <div class="invalid-feedback">
                                Kolom Wajib diisi.
                            </div>
                        </div>
                        <div class="form-group col-md-6">
                            <label for="">Keterangan</label> (optional)
                            <input type="text" class="form-control" name="Keterangan[]" placeholder="Ketik Keterangan..." />
                        </div>
                    </div> *@
                    <div id="formPrestasis"></div>
                    <a href="javascript:void(0);" onclick="CreateFormPrestasiss()" style="cursor:pointer;">+ Tambah Prestasi Lainnya</a> 
                    @* (<i><a href="javascript:void(0);" onclick="DataPrestasisReset()" style="cursor:pointer;">Reset</a></i>) *@
                    <hr />
                    <div class="form-row">
                        <div class="form-group col-md-12">
                            <label for="">File Prestasi</label>
                            @*onchange="ValidateFile('FilePrestasi');"*@
                            <input type="file" class="form-control" name="FilePrestasi" id="FilePrestasi"  data-input="wajib-prestasis" required />
                            <small>Kosongkan file jika tidak ada perubahan (<b><a href="javascript:void(0);" id="linkDownloadPrestasi" style="display:none" download><i class="fa fa-download"></i> Download File</a></b>)</small>
                            <div class="invalid-feedback">
                                Kolom Wajib diisi.
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" onclick="ModalBatalkanPrestasis();" class="btn btn-dark">
                    <i class="fa fa-times"></i> Batalkan
                </button>
                <button type="button" onclick="DataPrestasis();" class="btn btn-primary">
                    <i class="fa fa-save"></i> Simpan
                </button>
            </div>
        </div>
    </div>
</div>